

  <?php
  if($_COOKIE['nivel']=="Supervisor"){
	echo "<script>window.location.href='creditos_cobrador.php'</script>";
}


	include_once("../header.php");
        include_once("../php/config.php");
		$fecha1 = $_GET["fecha1"];
		$fecha2 = $_GET["fecha2"];
    $producto = $_GET["producto"];
    if($fecha1=="" OR $fecha2==""){
        $sql = mysql_query("select * from ventas where termino='Credito'  and   estado!='Anulada' and cliente like '%".$_GET['filtro']."%'  and balance>0 and producto like '%".$producto."%'") or die(mysql_error());
      }  
     if($fecha1!="" and $fecha2!=""){
        $sql = mysql_query("select * from ventas where termino='Credito'  and   estado!='Anulada' and cliente like '%".$_GET['filtro']."%' and fecha between '$fecha1' and '$fecha2' and balance>0 and producto like '%".$producto."%'") or die(mysql_error());
      }   
      ////mysql_query("UPDATE ventas SET balance=total where pagado<=0 and estado='Cerrada' and termino='Credito' and concepto='Venta'") or die(mysql_error());
$sql_tasas = mysql_query("select * from tasas2 where moneda='".$moneda."'") or die(mysql_error());

	
	?>
<style>
  .form-control{
    font-size: 13px;
  }


label{
    font-size: 13px;
  }

  td{
    font-size:13px;
  }

  th{
     font-size:18px;
  }
</style>
 <script>
   function filtrar(){
    var t = $("#txt_buscar").val();
	var fecha1 = $("#fecha1").val();
	var fecha2 = $("#fecha2").val();
  var producto = $("#producto").val();
	
	if(fecha1==""){fecha1 = "<?php echo $hoy?>";}
	if(fecha2==""){fecha2 = fecha1;}
    window.location.href="creditos.php?filtro="+t+"&fecha1="+fecha1+"&fecha2="+fecha2+"&producto="+producto;
   }
 </script>
      <div class="container" style="background:white; padding:10px">

        
		<div class="row">
			<div class="col-md-12">
			 <span class="text-primary h2"><i class="bi bi-cash-coin"></i>Balance de credito por fecha</span><hr>
			 
			 <a class="text-rojo" href="../api/main.php"><i class="bi bi-sticky"></i> Registrar Remesa/Recarga</a>
			 <a class="text-rojo" href="../api/lista_recargas_hoy.php"><i class="bi bi-sticky"></i> Ver listas de recargas</a>
			 |  <a class="text-rojo" href="../pos/resultados.php"><i class="bi bi-sticky"></i> Ver Resultados</a>
			 
				| <a class="text-dd" href="../reportes/balance_cobrador_detallado.php"><i class="bi bi-sticky"></i>Balance por grupo</a>
			 | <a class="text-rojo" href="../pos/egresos.php"><i class="bi bi-sticky"></i> Registrar gasto</a>
				
				| <a class="text-dd" href="../pos/descuento.php"><i class="bi bi-sticky"></i> Aplicar descuento</a>
				<br>
		      <div class="row">
			<div class="col-md-3 mt-2 mb-2">
			 <input type="search" id="txt_buscar" placeholder="Filtrar registros..." class="form-control" value="<?php echo $_GET['filtro']?>">
			</div>
			<div class="col-md-2 mt-2 mb-2">
			 <input type="Date" id="fecha1" placeholder="Filtrar registros..." class="form-control" value="<?php echo $_GET['fecha1']?>">
			</div>
			<div class="col-md-2 mt-2 mb-2">
			 <input type="Date" id="fecha2" placeholder="Filtrar registros..." class="form-control" value="<?php echo $_GET['fecha2']?>">
			</div>
			
    
         <div class="col-md-2">
           <select class="form-control mt-2" id="producto">

        <option value="" selected> Todos</option>

        <?php $sql0 = mysql_query("select DISTINCT producto  from ventas where balance>0 order by producto limit 4") ?>

        <?php while ($r0 = mysql_fetch_array($sql0)) { ?>
          <option value="<?php echo $r0['producto'] ?>"><?php echo $r0['producto'] ?></option>
        <?php } ?>
        </select>

        <script>
            setTimeout(function(){
              var producto = "<?php echo $_GET['producto']?>";
            $("#producto option[value='"+producto+"']").prop('selected', true);
            },1000)

          </script>


         </div>

			  <div class="col-md-3   mt-2 mb-2"> 
                  <a class="btn btn-default" href="#" onClick="filtrar()"><i class="fa fa-search"></i><span style="font-weight:bolder;"> Filtrar</span></a>

                   
				<a class="btn btn-default" href="creditos_cobrador.php"><i class="fa fa-home"></i> Ir atras</a>
        </div>
		 </div>
		
				<div class="table-responsive border p-3">
					<table class="table table-sm table-hover"  style="width: 100%">
					
							<th>Folio</th>
							<th>Fecha</th>
              <th>Cliente</th>
             <th>Producto</th>
			 
              <th>Monto</th>
              <th>balance</th>
			   <th>Tasa</th>
              <th>Al cambio</th>
              <th>Cobrar</th>
			        <th>Anular</th>
			 
		

		
			
						<tbody>
            <?php while($r=mysql_fetch_array($sql)){
              $folio = $r["id_venta"];
			  $id_venta = $r["id_venta"];
              $c++;
              $total+=$r["total"];
              $balance+=$r["balance"];
              $costo+=$r["costo"];
              $ganancia+=$r["total"] - $costo;
              $termino = $r["termino"];

              $cliente=$r["cliente"];

              
              if($r["moneda"]=="PESOS"){
                  $total_pesos +=$r["balance"];
                  $apesos +=$r["balance"];
              }

              if($r["moneda"]=="GOURDE"){
                          $total_gourde +=$r["balance"];
                          $apesos+=$r["balance"] / $r["tasa_venta"];
              }

              if($r["moneda"]=="DOLAR"){
                          $total_dolar +=$r["balance"];
                          $apesos+=$r["balance"] * $r["tasa_venta"];
              }






              ?>
							<tr>
								<td><?php echo $r["id_venta"]?></td>
                <td><span class="text-primary"><?php echo fecha($r["fecha"])."|".$r["hora"]?></span></td>
								<td class="text-primary"><i class='bi bi-stickies'></i> <?php echo $r["cliente"]?></td>
								<td class="text-primary"><i class='bi bi-stickies'></i> <?php echo $r["producto"]?> | <?php echo $r["nota"]?></td>
                 <td><?php echo decimal($r["total"])." <b>".$r["moneda"]."</b>"?></td>
                <td><?php echo decimal($r["balance"])?> </td>
				  <td><?php echo decimal($r["tasa_venta"])."</b>"?> </td>
                <td>
                <?php 
                  if($r["moneda"]=="GOURDE"){
                    echo "RD: ".@decimal($r["balance"]/$r["tasa_venta"]);
                  }

                   if($r["moneda"]=="DOLAR"){
                    echo "RD: ".@decimal($r["balance"] * $r["tasa_venta"]);
                  }

                  
                ?>
              <td>
             
			
               
             
               <td><a class="btn btn-success" href="pago_una.php?id_venta=<?php echo $id_venta?>"><i class="fa fa-coins"></i> Cobrar</a></td>
               <?php if($_COOKIE['nivel']=="Master"){?>
		<td><a class="btn btn-rojo" href="../pos/anular_venta.php?id_venta=<?php echo $folio?>"><i class="fa fa-coins"></i> Anular</a></td>
     <?php }?>
							</tr>
                                                        <?php }?>
						
             <b>
                Cant. facturas: <?php echo $c?>| 
               
                Balance pesos: <?php echo decimal($total_pesos)?> | 
            
                Balance Gourde: <?php echo decimal($total_gourde)?> |
                
                Balance Dolar: <?php echo decimal($total_dolar)?> |
                <b class='text-ubuntu'>BALANCE GENERAL EQIVALENTE EN EN PESOS:</b> <?php echo decimal($apesos)?>
               </b>

           
					</table>
				</div>
			</div>
		</div>
		
        </div>
      </div>
      


          
</div>
    </div>

	<!---Modal Cliente-->
	<div class="modal" id="modalBusqueda" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h2 class="modal-title text-success" id="exampleModalLabel"><i class="fa  fa-calendar"></i> Busqueda por fecha</h2>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">


		  <form name="frm" action="" method="POST" id="frm">
			 

			  
			   <div class="row">
          <label for="id" class="col-sm-3 col-form-label" >Desde</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="date"  class="form-control mb-2 font-weight-bolde" id="fecha1" name="nombre" value="">
          </div>
        </div>

         <div class="row">
          <label for="codigo" class="col-sm-3 col-form-label" >Hasta</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="date"  class="form-control mb-2" id="fecha2" name="fecha2" value="">
          </div>
        </div>

         

			  
			  
		  </form>
		  
		  </div>
          <div class="modal-footer">
            <button class="btn btn-success" type="button" onclick="buscar()"><i class="fa fa-w fa-save"></i> Grabar</button>


            <a class="btn btn-warning" data-dismiss="modal"> <i class="fa fa-w fa-home"></i> Salir</a>
          </div>
        </div>
      </div>
    </div>

        <?php
        include_once("../footer.php");

        function state($est) {

            if ($est == "1") {
                $b = "<span class='badge badge-success'>Activo</span>";
            } else {

                $b = "<span class='badge badge-danger'>Inactivo</span>";
            }

            return $b;
        }
        ?>
            
<script>
$("#delete").hide();
id_producto="";
function ver(id){
    $("#delete").show();
    dstry();
      $("#frm").trigger('reset');
      setTimeout(function(){
        $("#nombre").focus();
        $("#nombre").select();
    },1000);

            var sql="select * from productos where id_producto='"+id+"'"
            _enviar("../php/traer_datos.php",{"sql":sql})
            .done(function( data ){
                var rs = JSON.parse(data);
       
                for( var i in rs.data){
                    id_producto= rs.data[i].id_producto;             
                    $("#nombre").val(rs.data[i].descripcion);
                    $("#codigo").val(rs.data[i].codigo);
                    
                    $("#id").val(rs.data[i].id_producto);
                    $("#precio").val(rs.data[i].precio);
                    $("#costo").val(rs.data[i].costo);
                    $("#stock").val(rs.data[i].stock);
                    $("#proveedor option[value='"+rs.data[i].proveedor+"']").prop('selected', true);
                }
                
            })
        }
  
  function grabar_producto(){
     if(!confirm("Seguro(a) que desea registrar este producto?")){return;}                   
    
     var nombre = $("#nombre").val();
     var codigo = $("#codigo").val();
     var precio = $("#precio").val();
     var costo = $("#costo").val();
     var stock = $("#stock").val();
     var proveedor = $("#proveedor").val();




     if(nombre=="" || codigo==""){alert('Faltan datos'); return}
    var sql="";                            
        if(id_producto==""){
            sql="INSERT INTO productos set ";
            sql+="descripcion='"+nombre+"'";
            sql+=", codigo='"+codigo+"'";
            sql+=", costo='"+costo+"'";
            sql+=", precio='"+precio+"'"; 
            sql+=", proveedor='"+proveedor+"'"; 
            sql+=", stock='"+stock+"'"; 

        }else{
            sql="UPDATE productos set";
            sql+=" descripcion='"+nombre+"'";
            sql+=", codigo='"+codigo+"'";
            sql+=", costo='"+costo+"'";
            sql+=", precio='"+precio+"'"; 
            sql+=", proveedor='"+proveedor+"'"; 
            sql+=", stock='"+stock+"'"; 
            sql+=" WHERE id_producto='"+id_producto+"'";
           
            
        }
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
       
        noti("success","Registro grabado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_producto="";
         $("#modalProducto").modal('hide');
        setTimeout(function(){window.location.reload()},2000)

      }else{
          alert(data);
          
      }
       
    })
}
  

 function borrar(){
  
     if(id_producto==""){msg('Seleccione un registro'); return}
     if(!confirm("Seguro(a) que desea eliminar este registro?")){return;}
    var sql="";                            
    sql="delete from productos where id_producto='"+id_producto+"'";
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
        $("#modalcobrador").modal('hide');
        noti("success","Registro eliminado con exito","Registro grabado");
        $("#delete").hide();
        dstry();
        id_producto="";
        setTimeout(function(){window.location.reload()},1000)

      }else{
          msg(data);
          
      }
        $("#loading").modal('hide');
    })
}

function pago(f){
  window.location.href='pago_factura.php?cliente='
  
}

 /////checkCaja()
function checkCaja(){
    var sql = "select * from cajas where nombre='" + myCaja + "'"
    _enviar("../php/traer_datos.php", {
        "sql": sql
      })
      .done(function(data) {
        var rs = JSON.parse(data);
         var estado="";
        for (var i in rs.data) {
          
          estado = rs.data[i].estado;
		  
		  
        }
       if(estado!="Abierta"){
		   window.location.href="../pos/estado_caja.php";
	   }

      })
}
        
        </script>

